%global modname resultsdb_listener

Name:               python-ci-resultsdb-listener
Version:            0.2
Release:            1%{?dist}
Summary:            A fedmsg consumer that sents Atomic CI pipeline messages to resultsdb

Group:              Development/Libraries
License:            GPLv2+
URL:                https://pagure.io/ci-resultsdb-listener
Source0:            https://releases.pagure.org/ci-resultsdb-listener/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      fedmsg

Requires:           fedmsg

%description
This application listens for messages sent by the Atomic CI pipeline running
in ci.centos.org and uploads the messages it sees to resultsdb.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# Install the fedmsg config file
mkdir -p %{buildroot}%{_sysconfdir}/fedmsg.d/
cp -p fedmsg.d/ci-resultsdb-listener.py %{buildroot}%{_sysconfdir}/fedmsg.d/ci-resultsdb-listener.py

# Install the application config file
mkdir -p %{buildroot}%{_sysconfdir}/ci-resultsdb-listener/
cp -p conf/listener.cfg.example %{buildroot}%{_sysconfdir}/ci-resultsdb-listener/listener.cfg

%files
%doc README.rst
%license LICENSE
%config(noreplace) %{_sysconfdir}/fedmsg.d/ci-resultsdb-listener.py*
%config(noreplace) %{_sysconfdir}/ci-resultsdb-listener/listener.cfg

%{python2_sitelib}/%{modname}.py*
%{python2_sitelib}/%{modname}-%{version}*


%changelog
* Wed Oct 17 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2-1
- Add support for the allpackages messages

* Fri Sep 29 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1-1
- Initial packaging for Fedora
